static String fallback[] = {    /* fallback resources */

  /* --- general resources --- */
  /* "*font: -adobe-helvetica-bold-r-normal--12-120-75-75-p-70-iso8859-1", */
  "*font: -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1",
  "*XSOM.title:                 xsom",
  "*main.background:            rgb:ef/ef/ef",
  "*main*foreground:            Black",
  "*view.background:            White",
  "*view.translations:"
    "Shift<Btn1Down>:           mode(pitch)\\n"
    "Shift<Btn2Down>:           mode(roll)\\n"
    "Shift<Btn3Down>:           mode(yaw)\\n"
    "<Btn1Down>:                mode(rotate)\\n"
    "<Btn2Down>:                mode(roll)\\n"
    "<Btn3Down>:                mode(zoom)\\n"
    "<Btn1Up>:                  mode(none)\\n"
    "<Btn2Up>:                  mode(none)\\n"
    "<Btn3Up>:                  mode(none)\\n"
    "<MouseMoved>:              mouse()\\n",

  /* --- menu resources --- */
  "*menuBar*background:         rgb:ef/ef/ef",
  "*menuBar*foreground:         Black",

  "*menuBar.file.label:         File",
  "*file.load.label:            Load Map...",
  "*file.save.label:            Save Map...",
  "*file.mpost.label:           Save as Metapost...",
  "*file.quit.label:            Quit",

  "*menuBar.actions.label:      Actions",
  "*actions.init.label:         Initialize",
  "*actions.start.label:        Start Training",
  "*actions.stop.label:         Stop Training",
  "*actions.view.label:         Reset View",
  "*actions.redraw.label:       Redraw",

  "*menuBar.settings.label:     Settings",
  "*settings.grid.label:        Grid/Shape...",
  "*settings.params.label:      Parameters...",

  "*menuBar.help.label:         Help",
  "*help.about.label:           About XSOM...",

  "*menuBar.accelerators:"
    "<Key>l: load()\\n"         /* File     > Load Map... */
    "<Key>s: save()\\n"         /* File     > Save Map... */
    "<Key>m: mpost()\\n"        /* File     > Save as Metapost... */
    "<Key>q: quit()\\n"         /* File     > Quit */
    "<Key>i: init()\\n"         /* Actions  > Initialize */
    "<Key>x: exec()\\n"         /* Actions  > Start/Stop Training */
    "<Key>v: view()\\n"         /* Actions  > Reset view */
    "<Key>r: redraw()\\n"       /* Actions  > Redraw */
    "<Key>g: grid()\\n"         /* Settings > Grid/Shape... */
    "<Key>p: params()\\n"       /* Settings > Parameters... */
    "<Key>a: about()",          /* Help     > About XLVQ... */

  /* --- dialog box resources --- */
  "*form.background:            rgb:ef/ef/ef",
  "*form*foreground:            Black",
  "*Label.background:           rgb:ef/ef/ef",
  "*Command.background:         LightGrey",
  "*Button.background:          LightGrey",
  "*Toggle.background:          White",
  "*MenuButton.background:      White",
  "*SimpleMenu.background:      White",
  "*List*background:            White",
  "*Viewport*background:        White",
  "*Text.width:                 60",
  "*Text*background:            White",
  "*Text.translations:#override:"
    "<Key>Delete: delete-next-character()\\n"
    "<Key>Home  : beginning-of-line()\\n"
    "<Key>End   : end-of-line()\\n"
    "<Key>Return: db_close(ok)\\n"
    "!Alt<Key>o : db_close(ok)\\n"
    "!Alt<Key>c : db_close(cancel)",

  "*alertDlg.title:             Alert",

  "*aboutDlg.title:             About XSOM...",
  "*aboutDlg*info.label:"
    "XSOM\\n"
    "Self-Organizing Map Training Demonstration\\n"
    "Version 2.10 (2018.10.18)\\n\\n"
    "written by Christian Borgelt\\n"
    "Paris Lodron University of Salzburg\\n"
    "Hellbrunnerstrasse 34\\n"
    "A-5020 Salzburg, Austria\\n"
    "e-mail: christian@borgelt.net",

  "*listView.background:        rgb:ef/ef/ef",
  "*pathLabel.label:            Directory/Filter",
  "*listLabel.label:            Files",
  "*update.label:               Update",
  "*fileLabel.label:            Selection",

  "*ok.label:                   Ok",
  "*cancel.label:               Cancel",
  "*dismiss.label:              Dismiss",
  "*ok.accelerators:            !Alt<Key>o: set()notify()unset()",
  "*cancel.accelerators:        !Alt<Key>c: set()notify()unset()",

  "*textDlg.title:              Parse errors",

  /* --- grid/shape dialog box resources --- */
  "*gridDlg.title:              Grid/Shape...",
  "*gridDlg*lshape.label:       Shape of pattern region:",
  "*gridDlg*shape.square.label:    square",
  "*gridDlg*shape.triangle.label:  triangle",
  "*gridDlg*shape.circle.label:    circle",
  "*gridDlg*shape.sphere.label:    sphere",
  "*gridDlg*shape.parabola.label:  parabola",
  "*gridDlg*shape.cubic.label:     cubic",
  "*gridDlg*shape.cosine.label:    cosine",
  "*gridDlg*shape.cube.label:      cube",
  "*gridDlg*lwidth.label:       Map width (in units):",
  "*gridDlg*lheight.label:      Map height (in units):",

  /* --- parameters dialog box resources --- */
  "*paramDlg*title:             Parameters...",
  "*paramDlg*lrange.label:      Initial weight range:",
  "*paramDlg*llrate.label:      Initial learning rate:",
  "*paramDlg*llrdec.label:      Learning rate decay parameter:",
  "*paramDlg*lnbhood.label:     Neighborhood type:",
  "*paramDlg*nbhood.gauss.label:   Gaussian",
  "*paramDlg*nbhood.rect.label:    rectangular",
  "*paramDlg*lradius.label:     Initial neighborhood radius:",
  "*paramDlg*lradec.label:      Radius decay parameter:",
  "*paramDlg*lpatcnt.label:     Patterns between redraws:",
  "*paramDlg*ldelay.label:      Delay (in seconds):",

  NULL };
